﻿''' <summary>
''' Represents a ping entry.
''' </summary>
''' <remarks>
''' Objects of this class are use by the Ping collector. They represent a server
''' that is about to be pinged.
''' </remarks>
Public Class PingEntry

    ''' <summary>
    ''' Server friendly name.
    ''' </summary>
    ''' <remarks></remarks>
    Protected m_name As String

    ''' <summary>
    ''' Server host name or address.
    ''' </summary>
    ''' <remarks></remarks>
    Protected m_address As String

    ''' <summary>
    ''' Get/set the server friendly name.
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property Name() As String
        Get
            Return m_name
        End Get
        Set(ByVal value As String)
            m_name = value
        End Set
    End Property

    ''' <summary>
    ''' Get/set the server host name or address.
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property Address() As String
        Get
            Return m_address
        End Get
        Set(ByVal value As String)
            m_address = value
        End Set
    End Property

    ''' <summary>
    ''' Default class constructor.
    ''' </summary>
    ''' <param name="name">Server friendly name.</param>
    ''' <param name="address">Server host name or address.</param>
    ''' <remarks></remarks>
    Public Sub New(ByVal name As String, ByVal address As String)
        m_name = name
        m_address = address
    End Sub

End Class
