﻿''' <summary>
''' Represents a registry entry.
''' </summary>
''' <remarks>
''' Objects of this class are used by the registry collector. They represent
''' a registry entry that will be read.
''' </remarks>
Public Class RegistryEntry

    ''' <summary>
    ''' Registry key name.
    ''' </summary>
    ''' <remarks></remarks>
    Protected m_name As String

    ''' <summary>
    ''' Registry key location.
    ''' </summary>
    ''' <remarks></remarks>
    Protected m_location As String

    ''' <summary>
    ''' Get/set the registry key name.
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property Name() As String
        Get
            Return m_name
        End Get
        Set(ByVal value As String)
            m_name = value
        End Set
    End Property

    ''' <summary>
    ''' Get/set the registry key location.
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property Location() As String
        Get
            Return m_location
        End Get
        Set(ByVal value As String)
            m_location = value
        End Set
    End Property

    ''' <summary>
    ''' Default class constructor.
    ''' </summary>
    ''' <param name="name">Key name.</param>
    ''' <param name="location">Key location.</param>
    ''' <remarks></remarks>
    Public Sub New(ByVal name As String, ByVal location As String)
        m_name = name
        m_location = location
    End Sub

End Class
