﻿''' <summary>
''' This class represents a metric lookup. Lookups are used to provide
''' meaningful information about enumerated system metrics. For example, drive
''' types are enumerated with 2 denoting a removable drive. Lookups provide a 
''' means to associate the string "Removable Drive" with the value 2.
''' </summary>
''' <remarks></remarks>
Public Class WMILookup

    ''' <summary>
    ''' The lookup description.
    ''' </summary>
    ''' <remarks></remarks>
    Protected m_description As String

    ''' <summary>
    ''' Lookup actual value.
    ''' </summary>
    ''' <remarks></remarks>
    Protected m_value As String

    ''' <summary>
    ''' Get/set the lookup description.
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property Description() As String
        Get
            Return m_description
        End Get
        Set(ByVal value As String)
            m_description = value
        End Set
    End Property

    ''' <summary>
    ''' Get/set the lookup value.
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property Value() As String
        Get
            Return m_value
        End Get
        Set(ByVal value As String)
            m_value = value
        End Set
    End Property

    ''' <summary>
    ''' Default class constructor.
    ''' </summary>
    ''' <param name="Description">Lookup description.</param>
    ''' <param name="Value">Lookup value.</param>
    ''' <remarks>
    ''' </remarks>
    Public Sub New(ByVal Description As String, ByVal Value As String)

        Me.Description = Description
        Me.Value = Value

    End Sub

End Class
